Get Board Layout
GET /api/creative/visual-studio/projects/{project_id}/layout
GET
/api/creative/visual-studio/projects/{project_id}/layout
Get the spatial mood board layout for a project.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Responses
Section titled “ Responses ”Successful Response
VisualBoardLayoutResponse
Response model for board layout retrieval.
object
success
required
Success
Operation success status
boolean
layout
Any of:
VisualBoardLayout
Spatial layout for a mood board project.
object
projectId
required
Projectid
Project ID
string
cards
Cards
Card positions
Array<object>
VisualCardPositionPosition and size of a card on the mood board.
object
assetId
required
Assetid
Asset ID
string
x
required
X
X position in pixels
number
y
required
Y
Y position in pixels
number
width
Width
Card width
number
height
Height
Card height
number
zIndex
Zindex
Z-index for stacking
integer
viewportX
Viewportx
Viewport X offset
number
viewportY
Viewporty
Viewport Y offset
number
zoom
Zoom
Zoom level
number
null
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context